﻿using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;

namespace Falcon.SugarApi.ApiClient
{
    /// <summary>
    /// 服务扩展，注册帮助方法
    /// </summary>
    public static class IServiceCollentionExtend
    {
        /// <summary>
        /// 注册IHttpClientHelper实现
        /// </summary>
        /// <param name="services">服务集合</param>
        /// <param name="config">应用配置</param>
        /// <returns>服务集合</returns>
        public static IServiceCollection AddHttpClientHelper(this IServiceCollection services,IConfiguration config) {
            //var sect = config.GetValue<IOptions<ApiClientOptions>>("ApiClient");
            services.Configure<ApiClientOptions>(config.GetSection("ApiClient"));
            services.AddSingleton<IHttpClientHelper,HttpClientHelper>();
            return services;
        }
    }
}